Package org.opengis.cite.ogcapifeatures10.util

# Class GeometryTransformer

java.lang.Object
org.opengis.cite.ogcapifeatures10.util.GeometryTransformer

public class GeometryTransformer extends Object

GeometryTransformer class.

Author:
  Lyn Goltz

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeometryTransformer(CoordinateSystem srcCrs, CoordinateSystem targetCrs)`
  Constructor for GeometryTransformer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.locationtech.jts.geom.Geometry`
  `transform(org.locationtech.jts.geom.Geometry geometryToTransform)`
  transform.
  `org.locationtech.jts.geom.Geometry`
  `transform(org.locationtech.jts.geom.GeometryCollection geometryToTransform)`
  transform.
  `org.locationtech.jts.geom.LineString`
  `transform(org.locationtech.jts.geom.LineString geometryToTransform)`
  transform.
  `org.locationtech.jts.geom.MultiLineString`
  `transform(org.locationtech.jts.geom.MultiLineString geometryToTransform)`
  transform.
  `org.locationtech.jts.geom.MultiPoint`
  `transform(org.locationtech.jts.geom.MultiPoint geometryToTransform)`
  transform.
  `org.locationtech.jts.geom.MultiPolygon`
  `transform(org.locationtech.jts.geom.MultiPolygon geometryToTransform)`
  transform.
  `org.locationtech.jts.geom.Point`
  `transform(org.locationtech.jts.geom.Point geometryToTransform)`
  transform.
  `org.locationtech.jts.geom.Polygon`
  `transform(org.locationtech.jts.geom.Polygon geometryToTransform)`
  transform.
  `BBox`
  `transform(BBox bbox)`
  transform.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeometryTransformer

    public GeometryTransformer(CoordinateSystem srcCrs, CoordinateSystem targetCrs)

    Constructor for GeometryTransformer.

    Parameters:
      `srcCrs` - source crs, , never `null`
      `targetCrs` - target crs, , never `null`

- ## Method Details

  - ### transform

    public BBox transform(BBox bbox)

    transform.

    Parameters:
      `bbox` - the bbox to transform, never `null`
    Returns:
      the transformed bbox (or the same if srcCrs and targetCrs) are the same, never `null`

  - ### transform

    public org.locationtech.jts.geom.Geometry transform(org.locationtech.jts.geom.Geometry geometryToTransform)

    transform.

    Parameters:
      `geometryToTransform` - a `Geometry` object
    Returns:
      a `Geometry` object

  - ### transform

    public org.locationtech.jts.geom.Point transform(org.locationtech.jts.geom.Point geometryToTransform)

    transform.

    Parameters:
      `geometryToTransform` - a `Point` object
    Returns:
      a `Point` object

  - ### transform

    public org.locationtech.jts.geom.LineString transform(org.locationtech.jts.geom.LineString geometryToTransform)

    transform.

    Parameters:
      `geometryToTransform` - a `LineString` object
    Returns:
      a `LineString` object

  - ### transform

    public org.locationtech.jts.geom.Polygon transform(org.locationtech.jts.geom.Polygon geometryToTransform)

    transform.

    Parameters:
      `geometryToTransform` - a `Polygon` object
    Returns:
      a `Polygon` object

  - ### transform

    public org.locationtech.jts.geom.Geometry transform(org.locationtech.jts.geom.GeometryCollection geometryToTransform)

    transform.

    Parameters:
      `geometryToTransform` - a `GeometryCollection` object
    Returns:
      a `Geometry` object

  - ### transform

    public org.locationtech.jts.geom.MultiPoint transform(org.locationtech.jts.geom.MultiPoint geometryToTransform)

    transform.

    Parameters:
      `geometryToTransform` - a `MultiPoint` object
    Returns:
      a `MultiPoint` object

  - ### transform

    public org.locationtech.jts.geom.MultiLineString transform(org.locationtech.jts.geom.MultiLineString geometryToTransform)

    transform.

    Parameters:
      `geometryToTransform` - a `MultiLineString` object
    Returns:
      a `MultiLineString` object

  - ### transform

    public org.locationtech.jts.geom.MultiPolygon transform(org.locationtech.jts.geom.MultiPolygon geometryToTransform)

    transform.

    Parameters:
      `geometryToTransform` - a `MultiPolygon` object
    Returns:
      a `MultiPolygon` object